> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/rest-api/monitoring-solutions/kaiko-market-explorer/supply-and-market-cap/supply.md).

# Supply

## What is this endpoint for?

This endpoint receives information on the supply of each asset, including circulating supply and market capitalization.

Supply data is provided as:

* An aggregated supply value derived from [all blockchains on which the asset is deployed](#user-content-fn-1)[^1].
* A blockchain-specific supply value for each chain

Data is provided at 5-minute intervals.<br>

Read our supply and market cap methodology [here](https://resources.kaiko.com/hubfs/Factsheets%2c%20Rulebooks%2c%20Methodologies%20\(Resources\)/Data%20Feeds/Supply%20&%20Market%20Cap%20Methodology.pdf).

### Endpoint

{% code overflow="wrap" %}

```http
https://us.market-api.kaiko.io/v2/data/supply.v2/assets/{asset}
```

{% endcode %}

### Parameters

<table><thead><tr><th>Parameter</th><th width="104">Required</th><th width="318">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>asset</code></td><td>Yes</td><td>The desired asset <code>code</code>.<br><br>See <a data-mention href="/pages/5iH1qlIc7aNEOOci4yMw">/pages/5iH1qlIc7aNEOOci4yMw</a></td><td><code>agix</code></td></tr><tr><td><code>start_time</code></td><td>Yes</td><td><a data-footnote-ref href="#user-content-fn-2">Starting time in ISO 8601 (inclusive).</a></td><td><a data-footnote-ref href="#user-content-fn-3"><code>2023-01-25T00:00:00.000Z</code></a></td></tr><tr><td><code>end_time</code></td><td>Yes</td><td><a data-footnote-ref href="#user-content-fn-4">Ending time in ISO 8601 (exclusive).</a></td><td><code>2023-01-26T00:00:00.000Z</code></td></tr><tr><td><code>sources</code></td><td>No</td><td>boolean. If true, returns the breakdown by blockchain of the supply.<br><br>Default: <code>false</code></td><td><code>true</code></td></tr><tr><td><code>page_size</code></td><td>No</td><td><p>See <a data-mention href="/pages/mP3amLsYqKTsrRBoblxX">/pages/mP3amLsYqKTsrRBoblxX</a><br><br>Minimum: <code>1</code><br>Maximum: <code>100</code></p><p>Default: <code>10</code></p></td><td><code>100</code></td></tr></tbody></table>

### Fields

<table><thead><tr><th width="213.64453125">Field</th><th width="228">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>timestamp</code></td><td>Timestamp at which the interval begins</td><td><code>2023-01-25T00:00:00.000Z</code></td></tr><tr><td><code>asset</code></td><td>Asset</td><td><code>btc</code></td></tr><tr><td><code>circulating_supply</code></td><td>Total circulating supply</td><td><code>1.99478e+07</code></td></tr><tr><td><code>market_cap</code></td><td>Market capitalisation</td><td><code>2.09489e+12</code></td></tr><tr><td><code>sources</code></td><td>The per-blockchain breakdown of the supply</td><td></td></tr><tr><td><ul><li><mark style="color:blue;"><code>chain</code></mark></li></ul></td><td>The blockchain name</td><td><code>Bitcoin</code></td></tr><tr><td><ul><li><mark style="color:blue;"><code>circulating_supply</code></mark></li></ul></td><td>Circulating supply</td><td><code>19947806.25</code></td></tr><tr><td><ul><li><mark style="color:blue;"><code>excluded_supply</code></mark></li></ul></td><td>Exlcluded supply for the specific chain</td><td><code>0</code></td></tr><tr><td><ul><li><mark style="color:blue;"><code>total_supply</code></mark></li></ul></td><td>The total supply for the specific chain</td><td><code>19947806.25</code></td></tr></tbody></table>

### Request examples

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```url
curl --compressed -H 'Accept: application/json' -H 'X-Api-Key: <client-api-key>' \
'https://us.market-api.kaiko.io/v2/data/supply.v2/assets/btc?start_time=2025-11-12T14:00:00.000Z&page_size=100&sources=true&sort=desc'
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code overflow="wrap" %}

```python
import http.client
import json

# Enter your Kaiko API Key
api_key = "KAIKO_API_KEY"
api_host = "us.market-api.kaiko.io"
api_base_endpoint = "/v2/data/supply.v2/assets/btc"
# Start of mandatory parameter configuration
mandatory_params = {

}
# End of mandatory parameter configuration
# Start of optional parameter configuration
optional_params = {
    'start_time':'2025-11-12T14:00:00.000Z',
    'page_size':100,
    'sort':'desc',
    'sources':'true'
}
# End of optional parameter configuration
conn = http.client.HTTPSConnection(api_host)
headers = {
    "X-Api-Key": api_key,
    "Accept": "application/json"
}

all_params = {**mandatory_params, **optional_params}

url_params = []
for param, value in all_params.items():
    url_params.append(f"{param}={value}")
url_params = '&'.join(url_params)

endpoint_with_params = f"{api_base_endpoint}?{url_params}"

# Pagination for next pages
all_data = []
next_url = endpoint_with_params
while next_url:
    conn.request("GET", next_url, headers=headers)
    response = conn.getresponse()
    data = json.loads(response.read().decode("utf-8"))
    all_data.extend(data.get("data", []))
    print(f"Fetched {len(data.get('data', []))} datapoints. Total: {len(all_data)}")
    next_url = data.get("next_url", "").replace("https://us.market-api.kaiko.io", "")
    if not next_url:
        break
conn.close()
print(f" datapoints fetched: {(all_data)}")
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response example

{% code overflow="wrap" %}

```json
{
    "query":
    {
        "start_time": "2025-11-12T14:00:00.000Z",
        "end_time": "2025-11-12T14:00:48.317Z",
        "page_size": 100,
        "asset": "btc",
        "sort": "desc",
        "request_time": "2025-11-12T14:00:48.317Z",
        "start_timestamp": 1735689600000,
        "end_timestamp": 1762956048317
    },
    "time": "2025-11-12T14:00:48.326Z",
    "timestamp": 1762956048326,
    "data":
    [
        {
            "timestamp": 1762956005,
            "asset": "btc",
            "circulating_supply": 19947809.375,
            "market_cap": 2093053874177.4607,
            "sources":
            [
                {
                    "chain": "Bitcoin",
                    "circulating_supply": "19947809.375",
                    "excluded_supply": "0",
                    "total_supply": "19947809.375"
                }
            ]
        }
        /** Results **/
    ],
    "result": "success",
    "continuation_token": "xxx",
    "next_url": "https://us.market-api.kaiko.io/v2/data/supply.v2/assets/btc?continuation_token=xxx",
    "access":
    {
        "access_range":
        {
            "start_timestamp": 1073001600000,
            "end_timestamp": "None"
        },
        "data_range":
        {
            "start_timestamp": "None",
            "end_timestamp": "None"
        }
    }
}

```

{% endcode %}

[^1]: This does not include non-official deployments, as the supply is unaffected by these factors.

[^2]: Data is provided at 5 minute intervals between the start\_time and end\_time.

[^3]:

[^4]: Data is provided at 5 minute intervals between the `start_time` and `end_time`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/monitoring-solutions/kaiko-market-explorer/supply-and-market-cap/supply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
